Synchronous reconciliation run
curl --request POST \
--url https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/reconcile \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"data": {},
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/reconcile"
payload = {
"data": {},
"files": [{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {}, files: [{id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]})
};
fetch('https://api.cloudsquid.io/api/projects/{project_name}/tables/{table_id}/reconcile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {},
"created_at": "2023-11-07T05:31:56Z",
"row_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": "<string>",
"review": {
"comment": "<string>",
"reviewed_by": "<string>",
"review_date": "2023-11-07T05:31:56Z",
"approved": true
},
"input": {
"data": {},
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}Reconcile Tables
Reconcile Data (synchronous)
Run reconciliation on data.
POST
/
projects
/
{project_name}
/
tables
/
{table_id}
/
reconcile
Synchronous reconciliation run
Authorizations
Path Parameters
The name of the project
The ID of the table
Body
application/json
Response
Successfully reconciled data
Object with direct values for each key, allowing single values or arrays of values.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
status of the AI run
Available options:
running, done, error, pending Show child attributes
Show child attributes
Was this page helpful?
⌘I
